[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] unable to update feature patch

Daniel,

Thanks for the reply.

I am not explicitly trying to update JDT.  I am checking only the
groovy update site, which contains a patch for JDT core.  The patched
version of JDT core to install  is higher than the patched version
already installed.  Perhaps P2 is trying to update JDT behind the
scenes for some reason?

Is there any way to create the product such that updates of JDT would
be allowed?

Note that when I try to install the features and then update on a
vanilla 3.5 installation, I have no problems.

--a

On Mon, Aug 17, 2009 at 9:11 AM, Daniel Jacobowitz<drow@xxxxxxxxx> wrote:
> It looks to me like you're trying not just to upgrade the feature
> patch, but also the JDT - and the including product does not allow for
> updates of that component.
>
> (The failed solver output is not terribly helpful...)